#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2-3 |tr '-' '.' )
%define		aname		%(echo %{sname} | cut -d '.' -f1)
%define		bname		%(echo %{sname} | cut -d '.' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-zope-schema
Version		:	7.0.1
Release		:	14.8.0.0%{?dist}
Summary		:	Schemas extend the notion of interfaces to detailed descriptions
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ZPLv2.1
URL		:	https://pypi.io

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-pep517
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel
BuildRequires	:	python3-zope-event
BuildRequires	:	python3-zope-interface
BuildRequires	:	python3-zope-i18nmessageid

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Schemas extend the notion of interfaces to detailed
descriptions of Attributes (but not methods).
Every schema is an interface and specifies the
public fields of an object. A field roughly
corresponds to an attribute of a Python object.
But a Field provides space for at least a title and
a description. It can also constrain its value and
provide a validation method. Besides you can optionally
specify characteristics such as its value being
read-only or not required.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc CHANGES.rst COPYRIGHT.txt README.rst
%{python3_sitelib}/%{aname}/%{bname}/*.py
%{python3_sitelib}/%{aname}/%{bname}/__pycache__/*.pyc
%{python3_sitelib}/%{aname}/%{bname}/tests/*.py
%{python3_sitelib}/%{aname}/%{bname}/tests/__pycache__/*.pyc
%{python3_sitelib}/%{aname}.%{bname}-%{version}.dist-info/
%{python3_sitelib}/%{aname}.%{bname}-%{version}-*-nspkg.pth

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
PURE_PYTHON=1 %{__python}				\
  -m unittest discover					\
  -s %{buildroot}%{python3_sitearch}/%{aname}/%{bname}	\
  -t							\
  %{buildroot}%{python3_sitearch}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl
#-----------------------------------------------------------------------------
%changelog
